PHPExcel_RichText

# Class: PHPExcel_RichText_Run

Source Location: /PHPExcel/RichText/Run.php

### Class Overview

    PHPExcel_RichText_TextElement
       |
       --PHPExcel_RichText_Run

PHPExcel_RichText_Run

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

Implements interfaces:

- PHPExcel_RichText_ITextElement

### Methods

- __construct
- getFont
- getHashCode
- setFont
- __clone

### Inherited Methods

#### Class: PHPExcel_RichText_TextElement

PHPExcel_RichText_TextElement::__construct()
  Create a new PHPExcel_RichText_TextElement instance
PHPExcel_RichText_TextElement::getFont()
  Get font
PHPExcel_RichText_TextElement::getHashCode()
  Get hash code
PHPExcel_RichText_TextElement::getText()
  Get text
PHPExcel_RichText_TextElement::setText()
  Set text
PHPExcel_RichText_TextElement::__clone()
  Implement PHP __clone to create a deep clone, not just a shallow copy.

### Class Details

[line 34]
PHPExcel_RichText_Run

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 48]

`PHPExcel_RichText_Run __construct( [string $pText = ''])`

Create a new PHPExcel_RichText_Run instance

#### Tags:

access: | public

Overrides PHPExcel_RichText_TextElement::__construct() (Create a new PHPExcel_RichText_TextElement instance)

#### Parameters:

string | $pText | Text

[ Top ]

### method getFont [line 60]

`PHPExcel_Style_Font getFont( )`

Get font

#### Tags:

access: | public

Implementation of:

PHPExcel_RichText_ITextElement::getFont()
  Get font

Overrides PHPExcel_RichText_TextElement::getFont() (Get font)
[ Top ]

### method getHashCode [line 81]

`string getHashCode( )`

Get hash code

#### Tags:

return: | Hash code
access: | public

Implementation of:

PHPExcel_RichText_ITextElement::getHashCode()
  Get hash code

Overrides PHPExcel_RichText_TextElement::getHashCode() (Get hash code)
[ Top ]

### method setFont [line 71]

`PHPExcel_RichText_ITextElement setFont( [PHPExcel_Style_Font $pFont = null])`

Set font

#### Tags:

throws: | Exception
access: | public

#### Parameters:

PHPExcel_Style_Font | $pFont | Font

[ Top ]

### method __clone [line 92]

`void __clone( )`

Implement PHP __clone to create a deep clone, not just a shallow copy.

#### Tags:

access: | public

Overrides PHPExcel_RichText_TextElement::__clone() (Implement PHP __clone to create a deep clone, not just a shallow copy.)
[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:17:36 +0200 by phpDocumentor 1.4.4